unit foxmessages;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, StdCtrls, ExtCtrls, StrUtils, DateUtils,
  utilities, il8nstrings, backup, settings, startupform;

type

  TFoxMsgType = (ftWarning, ftError, ftInformation, ftConfirmation);
  TFoxButtons =  (fbRetry, fbIgnore, fbAbort, fbCancel, fbOkay);

  TFoxMsg = class(TForm)
    const
      fixedFontSize = 10; //fixed for tab labels and version label
      fwBorder = 15; //default border unit for gaps horizontally in the form, same as panels (pwBorder)
      fBtnHeight = 30; //default height for buttons
    private
      msgImg : TImage;
      Text1, Text2, Text3 : TLabel;
      OkBtn, CancelBtn : TButton;
    public
      constructor CreateNew(TheOwner: TComponent);
      procedure Display;
  end;

var
  FoxMSg : TFoxMSg;

implementation
constructor TFoxMsg.CreateNew(TheOwner: TComponent);
begin
//needs an onresize event
end;
procedure TFoxMsg.Display;
begin
{    needs to be a function boolean
parameters
title for caption
text1-3 text
message type - to drive the icon
buttons to display okay and cancel
how to get working with esc and return
how to set focus for esc or return

pchar or string??
    MessageDlg is what used before
info
warning
error

function MessageDlg(const aCaption, aMsg: string; DlgType: TMsgDlgType;
  Buttons: TMsgDlgButtons; HelpCtx: Longint): Integer;

  TMsgDlgButtons = [mbRetry, mbIgnore, mbAbort, mbCancel]

  Integer return =   [mrNone..mrAll]).

  mtWarning, mtError, mtInformation, mtConfirmation

  type TMsgDlgType = (
  mtWarning, Warning message box with an Exclamation mark icon

  mtError, Error message box with Stop sign icon
  /usr/share/icons/Mint-X/status/48/dialog-error.png two flavours mintx or y
  thre is a system error
  /usr/share/icons/Mint-Y/apps/256/system-error.png
  which could be used for system errors, i.e. internal

  mtInformation, Information message box with an Info icon
  /usr/share/icons/Mint-Y/status/22@2x/dialog-information.png

  mtConfirmation, Confirmation message box with a Question mark icon
  /usr/share/icons/Mint-Y/status/128@2x/dialog-question.png

  mtCustom Custom message box; No icon is displayed, and the caption contains the value in ApplicationName

);



}
end;

end.

